RevorRevor

List prospect lists

GET/api/v2/websets

Pages through Revor AI prospect lists owned by the API key's user. Requires websets:read.

Query parameters

ParameterDefaultDescription
limit201..100.
target_kindNo filtercompany or person.
cursorNoneThe previous page's next_cursor. Do not parse or modify it.
cURL
curl "https://revor.ai/api/v2/websets?limit=20&target_kind=company" \
  -H "Authorization: Bearer sk-revor-REPLACE_ME"

Response

JSON
{
  "ok": true,
  "request_id": "req_xxx",
  "items": [
    {
      "id": "webset-uuid",
      "name": "North American excavator companies",
      "query": "Excavator manufacturers, dealers, and rental providers...",
      "target_kind": "company",
      "status": "verifying",
      "progress": {
        "stage": "verifying",
        "goal": 25,
        "verify_cap": 75,
        "verified": 31,
        "qualified": 18,
        "full": 12,
        "stop_reason": null,
        "updated_at": "2026-09-24T08:00:00.000Z"
      },
      "created_at": "2026-09-24T07:58:00.000Z",
      "started_at": "2026-09-24T07:58:10.000Z",
      "finished_at": null,
      "updated_at": "2026-09-24T08:00:00.000Z"
    }
  ],
  "next_cursor": null,
  "has_more": false
}

When has_more=true, pass next_cursor unchanged to the next request. This is a REST pagination cursor, not the SSE stream_cursor.